Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226126 - Merge Review: man-pages-ja
Summary: Merge Review: man-pages-ja
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:37 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-28 05:07:46 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:37:43 UTC
Fedora Merge Review: man-pages-ja

http://cvs.fedora.redhat.com/viewcvs/devel/man-pages-ja/
Initial Owner: tagoh@redhat.com

Comment 1 Parag AN(पराग) 2007-09-21 09:52:31 UTC
Preliminary review =>
rpmlint on SRPM gave me
man-pages-ja.src:43: W: rpm-buildroot-usage %build perl %{SOURCE1}
$RPM_BUILD_ROOT | make
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it
will break short circuiting.

rpmlint on RPM gave me
man-pages-ja.noarch: W: file-not-utf8
/usr/share/doc/man-pages-ja-20070815/translation_lists/SysVinit.translation_list
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).
for all the files in /usr/share/doc/man-pages-ja-20070815/translation_lists/

also,
  Dunno why so many messages in build.log
Use of uninitialized value in numeric comparison (<=>) at script/configure.perl
line 239.

SHOULD:
   preserve timestamps.
   use %defattr(-,root,root,-)
   Update to new upstream release.  
      http://www.linux.or.jp/JM/man-pages-ja-20070915.tar.gz
   Use disttag
    

Comment 3 Parag AN(पराग) 2007-09-27 09:36:07 UTC
I think you should preserve timestamps.

Comment 4 Akira TAGOH 2007-09-27 12:43:03 UTC
Which one are you talking about?

Since the original man pages are encoded in EUC-JP and we want to see the
Japanese man pages in UTF-8, it's being converted at the build time. the content
itself is the same though, actually it's the different files IMHO.

Comment 5 Parag AN(पराग) 2007-09-28 03:19:42 UTC
(In reply to comment #4)
> Which one are you talking about?
> 
> Since the original man pages are encoded in EUC-JP and we want to see the
> Japanese man pages in UTF-8, it's being converted at the build time. the content
> itself is the same though, actually it's the different files IMHO.
 Oh yes. Sorry. I Forgot that we used iconv and that created new files with new
timestamp.


Comment 6 Parag AN(पराग) 2007-09-28 03:20:12 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
40af705db14a4ef92bacc0d3e78a4aff  man-pages-ja-20070915.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.


Comment 7 Akira TAGOH 2007-09-28 05:07:46 UTC
Thanks for reviewing. the updated package has been built.


Note You need to log in before you can comment on or make changes to this bug.